Create an event

Create a new event or duplicate an existing one.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

This endpoint requires the events:write scope.

Use this endpoint to create a new event. Here are 2 strategies that you can use to create a new event:

  • Duplicate an existing event, by overriding an event with custom properties. By doing so, you can inherit from the existing event's settings and replicate it indefinitely! To do so, simply fill the original event ID in the copy_from_event_id field that acts as a template.
  • Create a new event from scratch. All you have to do is fill out all the event attributes that work for you, but leave the copy_from_event_id property empty.

Here are the attributes that can be customized:

Event property nameEvent property description
owner_id(mandatory) The ID of the person that will host the event, e.g a team member that has a Host license.
title(mandatory) The title of your event.
copy_from_event_id(optional) The ID of another event, that will act as a template to copy settings from.
slug(optional) The unique slug of your event (e.g "my-awesome-event".
status(optional) The status of your event. Either "draft" or "published".
everyone_can_speak(optional) Whether everyone invited to the event can jump on stage and speak.
detailed_registration_page_enabled(optional) Whether the detailed registration page should be enabled for this event.
light_registration_page_enabled(optional) Whether the light registration page should be enabled for this event.
description(optional) The HTML description of your event.
recording_enabled(optional) Whether the recording feature should be enabled for this event.
recording_public(optional) Whether participants can access the recording(s) after the event session(s).
show_in_company_page(optional) Whether the event will be listed on the company page.
chat_enabled(optional) Whether the chat tab will be enabled during the event.
questions_enabled(optional) Whether the questions tab will be enabled during the event.
polls_enabled(optional) Whether the polls tab will be enabled during the event.
relationships > sessions(mandatory) At least one session must be scheduled for this event.
Body Params
data
object
Responses

400

Bad request

401

Authentication failed

402

Active contacts allowance reached. To add more registrants, please upgrade your plan

403

Workspace blocked

422

Team member not found

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json
*/*